package design_example_map;

import java.io.File;

/**
 * Utility class that contains static methods to read Blobs from disc and to
 * save Blobs to disc
 * @author dgibson
 *
 */
public class BlobPersistence {

	/**
	 * Read Blobs from text file, create and return BlobManager
	 * @return Contains Blobs read from disc.
	 */
	public static BlobManager buildBlobManager(File file) {
		// Not implemented...  
		return new BlobManager();
	}

	/**
	 * Saves Blobs to disc.
	 * @param blobManager Class containing a list of Blobs
	 */
	public static void saveBlobs(File file, BlobManager blobManager) {
		// Code to save Blobs to a text file.
		// ...
	}
}
