package design_example_map;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

class BlobTest {

	@Test
	@DisplayName("equals - true case")
	void testEquals_true() {
		Blob b1 = new Blob("1234");
		Blob b2 = new Blob("1234");
		assertEquals(b1, b2);
	}

	@Test
	@DisplayName("equals - false case")
	void testEquals_false() {
		Blob b1 = new Blob("1234");
		Blob b2 = new Blob("3000");
		assertNotEquals(b1, b2);
	}

	@Test
	@DisplayName("equals - false case, not Blob")
	void testEquals_falseNotBlob() {
		Blob b1 = new Blob("1234");
		String s = "3000";
		assertNotEquals(b1, s);
	}

	@Test
	@DisplayName("toString")
	void testToString() {
		Blob b = new Blob("1234");
		String expected = "id=1234";
		String actual = b.toString();
		assertEquals(expected, actual);
	}

}
