package design_example_map;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

class BlobIdStatusTest {

	@Test
	@DisplayName("toString for valid code")
	void testToString_true() {
		BlobIdStatus blobMsg;
		blobMsg = new BlobIdStatus("1234", true);
		String expected = "BlobMessage: code=1234, isValid=true";
		String actual = blobMsg.toString();
		assertEquals(expected, actual);
	}

	@Test
	@DisplayName("toString for invalid code")
	void testToString_false() {
		BlobIdStatus blobMsg;
		blobMsg = new BlobIdStatus("123", false, "Code is invalid");
		String expected = "BlobMessage: code=123, isValid=false, errorMessage=Code is invalid";
		String actual = blobMsg.toString();
		assertEquals(expected, actual);
	}

}
