package design_example_map;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

class BlobValidatorTest {

	@Test
	@DisplayName("isIdValid for valid code")
	void testIsIdValid_true() {
		BlobIdStatus status = BlobValidator.isIdValid("1234");
		assertTrue(status.isValid());
	}

	@Test
	@DisplayName("isIdValid for invalid length code")
	void testIsIdValid_false_invalid_length() {
		BlobIdStatus status = BlobValidator.isIdValid("123");
		assertFalse(status.isValid());
	}

	@Test
	@DisplayName("isIdValid for code not all digits")
	void testIsIdValid_false_not_all_digits() {
		BlobIdStatus status = BlobValidator.isIdValid("12a4");
		assertFalse(status.isValid());
	}

}
